#
# spec file for package perl-Lingua-EN-Inflect-Number
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Lingua-EN-Inflect-Number
Version:        1.12
Release:        1.33
%define cpan_name Lingua-EN-Inflect-Number
Summary:        Force number of words to singular or plural
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-EN-Inflect-Number/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Lingua::EN::Inflect)
Requires:       perl(Lingua::EN::Inflect)
%{perl_requires}

%description
This module extends the functionality of Lingua::EN::Inflect with three new
functions available for export:

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Jul  7 2015 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-Lingua-EN-Inflect-Number/Changes
  1.12 2015-07-04 NEILB
  - Added [MetaJSON] to dist.ini, so release will include META.json.
    RT#105629 from ETHER++
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.11
  see /usr/share/doc/packages/perl-Lingua-EN-Inflect-Number/Changes
* Fri Jan 13 2012 coolo@suse.com
- digged out the right license
* Mon Jan 17 2011 coolo@novell.com
- initial package 1.1
  * created by cpanspec 1.78.03
